%global base_version 0.94

Summary:        Simplified source filtering for perl
Name:           perl-Filter-Simple
Version:        0.96
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Filter-Simple
Source0:        https://cpan.metacpan.org/authors/id/S/SM/SMUELLER/Filter-Simple-%{base_version}.tar.gz
Patch0000:      upgrade-to-0.96.patch

BuildRequires:  make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
# Run-time:
BuildRequires:  perl(Carp) perl(vars) perl(warnings)
BuildRequires:  perl(Filter::Util::Call)
BuildRequires:  perl(Text::Balanced) >= 1.97
# Tests:
BuildRequires:  perl(Exporter) perl(parent)
BuildArch:      noarch

Requires:       perl(Text::Balanced) >= 1.97 perl(warnings)

%global __requires_exclude ^perl\\(Text::Balanced\\)$

%description
The Filter::Simple Perl module provides a simplified interface to
Filter::Util::Call, which provides a usable Perl interface to source filtering.


%prep
%autosetup -n Filter-Simple-%{base_version} -p1


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.96-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.96-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.96-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.96-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 16 2022 rockerzhu <rockerzhu@tencent.com> - 0.96-1
- Initial build
